import 'package:idkit/idkit.dart';

extension StringNull on String? {
  /// Whether the string is Null or has a length of Zero.
  bool get isNEmpty {
    if (isNull) return true;
    return this!.isEmpty;
  }

  /// Whether the string is not Null or the length is not Zero.
  bool get isNotNEmpty {
    if (isNull) return false;
    return this!.isNotEmpty;
  }
}
